WARNING (July 2014)

This page is obsolete, as Sage is now using Git instead of Mercurial as a version control system.

See http://trac.sagemath.org/ticket/15628

How to install the sage-combinat patches

Short installation instructions

Step 1. To use the features developed by Sage-combinat, you first need to install Sage. You have two options.

  1. Binary installation (takes less time; only option on Windows; only works if a binary exists for your system):
  2. Source installation (recommended, but time-consuming; works for Linux and OSX as long as you have a C compiler):

Step 2. Step 1 already installs the Sage-combinat package. If you really need the latest features of Sage-Combinat, you need to install the Sage-Combinat patches on top by running the following command inside the sage directory:

It is recommended to use the latest version of Sage. As of July 11th of 2014, Sage >= 6.2 is required.

If this step fails, please send an email to the sage-combinat-devel mailing list with the error message.

Long instructions

combinat/Installation (last edited 2014-07-18 15:00:57 by chapoton)